### Hierarchy

- TooltipDefinition

## Index

### Inputs

- alignment
- content
- id
- placement

### Properties

- accessibility
- alignment
- className
- content
- id
- placement
- tooltipItemCount

## Properties

### accessibility

@HostBinding({"hostPropertyName":"class.bx--tooltip--a11y"})
accessibility: boolean = true

- Defined in src/dialog/tooltip/tooltip-definition.component.ts:39

### alignment

@Input()
alignment: "start" | "center" | "end" = "start"

- Defined in src/dialog/tooltip/tooltip-definition.component.ts:36

### className

@HostBinding({"hostPropertyName":"class.bx--tooltip--definition"})
className: boolean = true

- Defined in src/dialog/tooltip/tooltip-definition.component.ts:38

### content

@Input()
content: string

- Defined in src/dialog/tooltip/tooltip-definition.component.ts:29

### id

@Input()
id: string = `definition-tooltip-${TooltipDefinition.tooltipItemCount++}`

- Defined in src/dialog/tooltip/tooltip-definition.component.ts:25

### placement

@Input()
placement: "bottom" | "top" = "bottom"

- Defined in src/dialog/tooltip/tooltip-definition.component.ts:34

### Static tooltipItemCount

tooltipItemCount: number = 0

- Defined in src/dialog/tooltip/tooltip-definition.component.ts:23

Generated using TypeDoc